Simulate Authorization

Simulate an authorization type transaction by including the card_id and other authorization details in your request.
Only cards with BINs below are supported for simulation.

  • 40963608
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

⚠️

Please ensure that the available balance on the card is greater than the simulated transaction amount before calling this API.

🧪

ATM cash withdrawals cannot be simulated.

Example payload
   curl --location 'https://api-sandbox.uqpaytech.com/api/v1/simulation/issuing/authorization' \
        --header 'x-idempotency-key: {{$uuid}}' \
        --header 'Content-Type: application/json' \
        --header 'Accept: application/json' \
        --header 'x-auth-token: {{$token}}' \
        --data '{
          "card_id": "{{$card_id}}",
          "transaction_amount": 11.1,
          "transaction_currency": "USD",
          "merchant_name": "Orchard Centra",
          "merchant_category_code": "5734"
        }'
Body Params
string
required

Unique identifier for the card.

number
required

The transaction amount to simulate.

string
required

Currency of the transaction.

string
required

Name of the merchant

string
required

The merchant category code for the merchant’s business. Can only be 5734.

Headers
string

The value set to the connected account's ID. More information at Connected Accounts

uuid
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json